> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/terraform/data-sources/inmemorydb_snapshots_v2.md).

# ionoscloud\_inmemorydb\_snapshots\_v2

The `ionoscloud_inmemorydb_snapshots_v2` data source can be used to retrieve information about existing InMemoryDB V2 snapshots, with an optional cluster ID filter.

## Example Usage

```hcl
data "ionoscloud_inmemorydb_snapshots_v2" "all" {
  location = "de/txl"
}

data "ionoscloud_inmemorydb_snapshots_v2" "for_cluster" {
  location   = "de/txl"
  cluster_id = "example-id"
}
```

## Argument Reference

* `location` - (Required)\[string] The location to query.
* `cluster_id` - (Optional)\[string] Filter snapshots by cluster UUID.

## Attributes Reference

The following attributes are returned by the datasource:

* `items` - List of snapshots. Each item includes:
  * `id` - The UUID of the snapshot.
  * `location` - The location of the snapshot.
  * `cluster_id` - The ID of the cluster this snapshot belongs to.
  * `cluster_name` - The name of the cluster this snapshot belongs to.
  * `datacenter_id` - The ID of the data center where the snapshot was created.
  * `earliest_recovery_target_time` - The earliest time for which a snapshot is available to restore from (RFC3339).
  * `latest_recovery_target_time` - The most recent time for which a snapshot is available to restore from (RFC3339). Empty if available up to the current time.
  * `snapshot_location` - The Object Storage location where the snapshot is stored.
  * `cluster_version` - The InMemoryDB version of the cluster at the time of the snapshot.
  * `snapshot_size` - The size of the snapshot in GB.
  * `required_size_for_restore` - The minimum storage size in GB required to restore from this snapshot.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/terraform/data-sources/inmemorydb_snapshots_v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
